/****************************************************************************
**
** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Nokia Corporation (directui@nokia.com)
**
** This file is part of meegotouch-controlpanelapplets.
**
** If you have questions regarding the use of this file, please contact
** Nokia at directui@nokia.com.
**
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Lesser General Public
** License version 2.1 as published by the Free Software Foundation
** and appearing in the file LICENSE.LGPL included in the packaging
** of this file.
**
****************************************************************************/
#ifndef SUBTITLESWIDGET_H
#define SUBTITLESWIDGET_H

#include <DcpStylableWidget>
#include <QSettings>

class MButton;
class MComboBox;
class MLabel;
class MLayout;
class MLinearLayoutPolicy;
class MContainer;

class SubtitlesWidget : public DcpStylableWidget
{
    Q_OBJECT

public:
    SubtitlesWidget (QGraphicsWidget *parent = 0);
    ~SubtitlesWidget ();
    bool back ();

protected:
    void initWidget();

private slots:
    void AutoloadSubtitlesToggled (bool enabled);
    void RegularStyleButtonToggled (bool toggled);
    void ItalicStyleButtonToggled (bool toggled);
    void BoldStyleButtonToggled (bool toggled);
    void SubtitlesFontSizeActivated (int index);
    void SubtitlesEncodingActivated (int index);

private:
    void addHeaderContainer ();
    void addAutoloadSubtitlesContainer ();
    void addSubtitlesFontStyleContainer ();
    void addSubtitlesFontSizeContainer ();
    void addSubtitlesEncodingContainer ();

    void retranslateUi ();

private:
    MLinearLayoutPolicy     *m_MainLayout;
    MLabel                  *m_TitleLabel;
    MButton                 *m_AutoloadSubtitlesSwitch;
    MLabel                  *m_FontStyleLabel;
    MButton                 *m_RegularStyleButton;
    MButton                 *m_ItalicStyleButton;
    MButton                 *m_BoldStyleButton;
    MComboBox               *m_SubtitlesFontSizeCombo;
    MComboBox               *m_SubtitlesEncodingCombo;
    QSettings               *m_SubtitlesSettings;
};

#endif // SUBTITLESWIDGET_H
