
/*
 * This file is part of QMAFW
 *
 * Copyright (C) 2009 Nokia Corporation and/or its subsidiary(-ies). All rights
 * reserved.
 *
 * Contact: Visa Smolander <visa.smolander@nokia.com>
 *
 * This software, including documentation, is protected by copyright controlled
 * by Nokia Corporation. All rights are reserved. Copying, including
 * reproducing, storing, adapting or translating, any or all of this material
 * requires the prior written consent of Nokia Corporation. This material also
 * contains confidential information which may not be disclosed to others
 * without the prior written consent of Nokia.
 *
 */

#include "MafwRoutingInfoHandler.h"

#include <contextsubscriber/contextproperty.h>
#include <contextsubscriber/contextpropertyinfo.h>
#include <contextsubscriber/contextproviderinfo.h>

#include <QDebug>
#include <QDBusReply>
#include <QDBusConnectionInterface>

bool routeTrusted = false;

MafwRoutingInfoHandler::MafwRoutingInfoHandler(ContextProperty& property) :
        m_property(property)
{

}

MafwRoutingInfoHandler::~MafwRoutingInfoHandler()
{
}

void MafwRoutingInfoHandler::startProviderCheck()
{
    qDebug() << "startProviderCheck";
}

 void MafwRoutingInfoHandler::callFinishedSlot(QDBusPendingCallWatcher*)
 {
     qDebug() << "callFinishedSlot";
 }

void MafwRoutingInfoHandler::gotReply(int)
{
    Q_EMIT routeChanged(routeTrusted);
}

void MafwRoutingInfoHandler::error()
{
    qDebug() << __PRETTY_FUNCTION__;

    Q_EMIT routeChanged(false);
}

bool MafwRoutingInfoHandler::isPidTrusted (int)
{

    return true;
}
