/* 
 * This file is part of QMAFW 
 *
 * Copyright (C) 2009 Nokia Corporation and/or its subsidiary(-ies). All rights
 * reserved.
 *
 * Contact: Visa Smolander <visa.smolander@nokia.com>
 *
 * This software, including documentation, is protected by copyright controlled
 * by Nokia Corporation. All rights are reserved. Copying, including
 * reproducing, storing, adapting or translating, any or all of this material
 * requires the prior written consent of Nokia Corporation. This material also
 * contains confidential information which may not be disclosed to others
 * without the prior written consent of Nokia.
 *
 */
 
#ifndef UT_GSTSCREENSHOT_H_
#define UT_GSTSCREENSHOT_H_

#include <QObject>
#include <QtTest/QtTest>

#include "MafwGstScreenshot.h"

class MafwGstScreenshot;

class ut_GstScreenshot: public QObject
{
    Q_OBJECT

private slots: // tests, don't touch the test order

    void testFailures();
    void testConvert();
    void testCancel();
    void testCancel_data();

    void init();
    void cleanup();

protected slots:
    void slotScreenshot(char *location, GError *error);
    void slotCancelScreenshot();
    
private: //data
    MafwGstScreenshot *m_screenshot;
    bool m_gotCancelSignal;
    bool m_gotScreenshotSignal;
};

#endif
