/*
 * This file is part of QMAFW
 *
 * Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies). All rights
 * reserved.
 *
 * Contact: Visa Smolander <visa.smolander@nokia.com>
 *
 * This software, including documentation, is protected by copyright controlled
 * by Nokia Corporation. All rights are reserved. Copying, including
 * reproducing, storing, adapting or translating, any or all of this material
 * requires the prior written consent of Nokia Corporation. This material also
 * contains confidential information which may not be disclosed to others
 * without the prior written consent of Nokia.
 *
 */

#include "MafwMmcMonitor.h"
#include <QDebug>

bool stubMmcMounted = true;
MafwMmcMonitor* stubMmcMonitor;

const QString MafwMmcMonitor::MMC_URI_PREFIX="file:///home/user/MyDocs";

MafwMmcMonitor::MafwMmcMonitor(QObject* parent) : QObject(parent), m_mounted(false)
{
    stubMmcMonitor = this;
}

MafwMmcMonitor::~MafwMmcMonitor()
{
    stubMmcMonitor = 0;
}

bool MafwMmcMonitor::isMounted()
{
    return stubMmcMounted;
}

void MafwMmcMonitor::preUnmountEvent(const QString &/*state*/)
{
    Q_EMIT stubMmcMonitor->preUnmount();
}

