/* 
 * This file is part of QMAFW 
 *
 * Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies). All rights
 * reserved.
 *
 * Contact: Visa Smolander <visa.smolander@nokia.com>
 *
 * This software, including documentation, is protected by copyright controlled
 * by Nokia Corporation. All rights are reserved. Copying, including
 * reproducing, storing, adapting or translating, any or all of this material
 * requires the prior written consent of Nokia Corporation. This material also
 * contains confidential information which may not be disclosed to others
 * without the prior written consent of Nokia.
 *
 */

#ifndef UT_PLAYLISTFILEUTILITY_H
#define UT_PLAYLISTFILEUTILITY_H

#include <QObject>

class MafwStubHelper;
class MafwGstRendererPlaylistFileUtility;

class Ut_PlaylistFileUtility: public QObject
{
    Q_OBJECT
    
private Q_SLOTS: // tests

    void initTestCase();
    void testParsing();
    void testParsingForNotExistingFile();
    void testParsingInvalidFileUri();
    void testParsingInvalidFile();
    void testParsingASFFile();
    void cleanupTestCase();

private:
    MafwStubHelper* m_stubHelper;
    MafwGstRendererPlaylistFileUtility* m_utility;

};

#endif // UT_PLAYLISTFILEUTILITY_H
