#!/bin/sh

valgrind_results_file=valgrind.results

files=`find . -name "*.vg.xml"`

rm -f $valgrind_results_file

if [ -z "$files" ]
then
    echo "Valgrind results not generated."
    exit 0
fi

echo '<?xml version="1.0"?>' > $valgrind_results_file
echo '<valgrindresults>'  >> $valgrind_results_file
for file in $files; do
    grep -v \<\/\valgrindoutput\> $file | tail --quiet --lines=+2 >> $valgrind_results_file;
    echo '</valgrindoutput>' >> $valgrind_results_file;
done
echo '</valgrindresults>' >> $valgrind_results_file
